Что нового

Проблема с ProductVersion в autoit 3.3.12.0

autoall

Чайник
Сообщения
19
Репутация
0
Всех приветствую!
В вашем полку прибыло :smile:

autoit 3.3.12.0
SciTE 3.4.1

Делаю скрипт.
В начале задаю следующую секцию:

Код:
#Region ;**** Directives created by AutoIt3Wrapper_GUI ****
#AutoIt3Wrapper_Icon=ok.ico
#AutoIt3Wrapper_Compile_Both=y
#AutoIt3Wrapper_Res_Comment=Программа предназначена для чего-то
#AutoIt3Wrapper_Res_Description=Программа ДЛЯ
#AutoIt3Wrapper_Res_Fileversion=2.0.0.0
#AutoIt3Wrapper_Res_LegalCopyright=© 2014
#AutoIt3Wrapper_Res_Language=1049
#AutoIt3Wrapper_Res_Field=OriginalFilename|start.exe
#AutoIt3Wrapper_Res_Field=ProductName|Start
#AutoIt3Wrapper_Res_Field=ProductVersion|1.0
#EndRegion ;**** Directives created by AutoIt3Wrapper_GUI ****


Это все - диврективы VERSION.

Все директивы выполняются, кроме этой: #AutoIt3Wrapper_Res_Field=ProductVersion|1.0
В свойствах файла упорно пишется 3.3.12.0

Полазил по форуму, в гугле, вроде делаю всё правильно. Вроде тут накосячить негде. Поэтому решил в баг-репорт написать. Может проверит кто сию фичу? В 3.3.6.1 нормально же всё было...

Используйте для AutoIt кода тег [autoit]

madmasles.
 

joiner

Модератор
Локальный модератор
Сообщения
2 988
Репутация
501
Код:
#AutoIt3Wrapper_Res_ProductVersion=1.0

или http://autoit-script.ru/index.php?topic=17953.0
 
АТ
A

autoall

Чайник
Сообщения
19
Репутация
0
joiner
Ну... это уже внешнее решение получается. Взял на заметку.
А со штатным-то что - баг?
 

joiner

Модератор
Локальный модератор
Сообщения
2 988
Репутация
501
autoall
штатный это директивы самого AutoIT2EXE. тут врапер ни при чем. я указал на директиву стандартного врапера. не получилось? :smile:
 
АТ
A

autoall

Чайник
Сообщения
19
Репутация
0
joiner
Вы правы! Ваш пример работает!!!
Я просто изначально думал что вы выделили кусок моего текста и прокомментировали его. А теперь присмотрелся и понял, что директива-то - другая :smile:

Значит не баг!
Тему надо бы перенести или закрыть.
 
Верх